NXOpen.UF.Point.CreateAlongCurve

Point.CreateAlongCurve()

Refer to UF_POINT_create_along_curve for documentation.

Signature: CreateAlongCurve(curve, basePoint, t, option, flip)

Parameters:
  • curve (Tag) – object id of curve or edge
  • basePoint (Tag) – object id of base point
  • t (Tag) – object id of scalar offset along curve
  • option (NXOpen.UF.So.PointAlongCurveOption Refer to UF_SO_point_along_curve_option_e for documentation.) – Absolute/Relative offset option.Can be one of the following enumerated constants: UF_SO_point_along_curve_distance UF_SO_point_along_curve_percent
  • flip (bool) – If flip is set to TRUE, then t = -t
Returns:

object id of point feature

Return type:

Tag

License requirements: None